
%define framework krunner
%define kf5krunner_major 5
%define libkf5krunner %mklibname kf5krunner %{kf5krunner_major}
%define kf5krunner_devel %mklibname kf5krunner -d

Summary:        Framework for providing different actions given a string query
Name:           %framework
Version: 		5.51.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://download.kde.org/stable/frameworks/5.18/portingAids/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: libqt5base5-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5help-devel
BuildRequires: libqt5imageformats-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5qml-devel
BuildRequires: libqt5quick-devel
BuildRequires: libqt5bluetooth-devel

BuildRequires: libqt5clucene-devel
BuildRequires: libqt5concurrent-devel
BuildRequires: libqt5designer-devel
BuildRequires: libqt5labstemplates-devel
BuildRequires: libqt5location-devel
BuildRequires: libqt5multimedia-devel
BuildRequires: libqt5multimediawidgets-devel
BuildRequires: libqt5nfc-devel
BuildRequires: libqt5opengl-devel
BuildRequires: libqt5platformsupport-devel
BuildRequires: libqt5positioning-devel
BuildRequires: libqt5printsupport-devel
BuildRequires: libqt5quickparticles-devel
BuildRequires: libqt5quicktest-devel
BuildRequires: libqt5quickwidgets-devel
BuildRequires: libqt5script-devel
BuildRequires: libqt5scripttools-devel
BuildRequires: libqt5sensors-devel
BuildRequires: libqt5serialport-devel
BuildRequires: libqt5sql-devel
BuildRequires: libqt5svg-devel
BuildRequires: libqt5test-devel
BuildRequires: libqt5waylandclient-devel
BuildRequires: libqt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  kconfig-devel 
BuildRequires:  kcoreaddons-devel 
BuildRequires:  ki18n-devel 
BuildRequires:  kauth-devel 
BuildRequires:  kcodecs-devel 
BuildRequires:  kguiaddons-devel 
BuildRequires:  kwidgetsaddons-devel 
BuildRequires:  kconfigwidgets-devel 
BuildRequires:  kitemviews-devel 
BuildRequires:  kiconthemes-devel 
BuildRequires:  kglobalaccel-devel 
BuildRequires:  kcompletion-devel 
BuildRequires:  kdbusaddons-devel 
BuildRequires:  kwindowsystem-devel 
BuildRequires:  sonnet-devel 
BuildRequires:  ktextwidgets-devel 
BuildRequires:  kxmlgui-devel 
BuildRequires:  kbookmarks-devel 
BuildRequires:  kjobwidgets-devel 
BuildRequires:  kio-devel 
BuildRequires:  kservice-devel 
BuildRequires:  plasma-framework-devel 
BuildRequires:  solid-devel 
BuildRequires:  threadweaver-devel 


%description
Framework for providing different actions given a string query

%files
/etc/xdg/krunner.categories
%_kf5_qmldir/org/kde/runnermodel
%_kf5_servicetypes/plasma-runner.desktop
%_kf5_datadir/kdevappwizard/templates/runner.tar.bz2
#--------------------------------------------------------------------
%_kf5_libdir/libKF5Runner.so.%{kf5krunner_major}*
#--------------------------------------------------------------------

%package -n %kf5krunner_devel

Summary:        Devel stuff for %framework
Group:          Development/Libraries
Requires:		%name
Provides:       %name-devel = %{version}-%{release}
Provides:       kf5-krunner-devel = %{version}-%{release}

%description -n %kf5krunner_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5krunner_devel
%_kf5_libdir/libKF5Runner.so
%_libdir/cmake/KF5Runner
%_kf5_includedir/KRunner
%_kf5_includedir/krunner_version.h
%_libdir/qt5/mkspecs/modules/qt_KRunner.pri
%{_datadir}/dbus-1/interfaces/kf5_org.kde.krunner1.xml
#--------------------------------------------------------------------

%prep
%setup -q


%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
rm -rf %buildroot
%makeinstall_std -C build



%changelog
* Wed Oct 24 2018 adrianomorselli <adrianomorselli> 5.51.0-1uplos2018
- update
